Bug 1436794 - OSP10 -> OSP11 upgrade: Only set EnableConfigPurge on major upgrades
Summary: OSP10 -> OSP11 upgrade: Only set EnableConfigPurge on major upgrades
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Angus Thomas
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks: 1394019
TreeView+ depends on / blocked
 
Reported: 2017-03-28 17:14 UTC by Marius Cornea
Modified: 2017-05-17 20:15 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-0.10.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:15:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 450887 None None None 2017-03-28 17:15:10 UTC
Launchpad 1611800 None None None 2017-03-28 17:14:08 UTC

Description Marius Cornea 2017-03-28 17:14:08 UTC
Description of problem:

Some services like Nova, Neutron, Octavia have purge_config enabled by default, which means that all parameters not managed in a specific step will be removed:

Notice: /Stage[main]/Neutron/Neutron_config[nova/project_domain_name]/ensure: removed

It takes time to remove them and makes deployments longer to finish.

It was introduced by https://review.openstack.org/#/c/353543/ (https://bugs.launchpad.net/tripleo/+bug/1611800).

A solution could be to purge configs only when upgrading TripleO between major versions, and don't purge config during initial deployment or updates (loss of time).
For that, we would require https://review.openstack.org/#/c/438044 to be able to configure some Hiera parameters only during upgrade action in Heat.

Comment 1 Sofer Athlan-Guyot 2017-03-29 11:54:08 UTC
Adjusting state.

Comment 2 Carlos Camacho 2017-03-29 14:16:17 UTC
Upstream fix merged: https://review.openstack.org/#/c/450900/

Comment 3 Carlos Camacho 2017-03-29 14:17:24 UTC
Master, newton and mitaka:
https://review.openstack.org/#/q/Only+set+EnableConfigPurge+on+major+upgrades

Comment 6 errata-xmlrpc 2017-05-17 20:15:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.